// HTML_ColorerPage.h: interface for the HTML_ColorerPage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_COLORERPAGE_H__55C66203_862A_11D4_A35F_880BCB9FA20B__INCLUDED_)
#define AFX_HTML_COLORERPAGE_H__55C66203_862A_11D4_A35F_880BCB9FA20B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "..\HTML\HTML_Page.h"
extern "C"
{
	#include "colorer.h"
}
//#include "HTML_ColorerTextArea.h"

extern void scan_string(const char* x);

class HTML_ColorerPage : public HTML_Page  
{
public:
	int readLinksFrom(char* linkspath);
	char readLinksString(const char* links);
	HTML_ColorerPage* printErrors();
	HTML_ColorerPage* error(char* x);
	virtual HTML_ColorerPage* generatePage();
	//// setters //////////
	HTML_ColorerPage* setInput(char* x);
	HTML_ColorerPage* setCsspath(char* x);	
	HTML_ColorerPage* setTabs(int x);	
	HTML_ColorerPage* setLinks(char* x);	
	HTML_ColorerPage* setIsHTML(bool x);	
	//// getters ////////////
	const char* getInput();
	const char* getCsspath();	
	const int getTabs();	
	const char* getLinks();	
	const bool getIsHTML();	

	HTML_ColorerPage();
	virtual ~HTML_ColorerPage();
protected:
//	FILE* fin;
	string links;
	string input;
	bool isHTML;
	string errorList;
	//HTML object
	HTML_Table* table;
	HTML_Row* row;
	HTML_Cell* cell;
	HTML_Cell* errorcell;
	HTML_Form* form;
private:

};

#endif // !defined(AFX_HTML_COLORERPAGE_H__55C66203_862A_11D4_A35F_880BCB9FA20B__INCLUDED_)

