// HTML_ColorerPage1.cpp: implementation of the HTML_ColorerPage1 class.
//
//////////////////////////////////////////////////////////////////////

#include "../HTML/HTML_all.h"
#include "HTML_ColorerPage1.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HTML_ColorerPage1::HTML_ColorerPage1()
{

}

HTML_ColorerPage1::~HTML_ColorerPage1()
{

}

HTML_ColorerPage* 
HTML_ColorerPage1::generatePage()
{
	HTML_Element* el;
	//create general things
	HTML_ColorerPage::generatePage();
	doc->getHead()
		->writeRaw("<!--\n2000 by Nikolai Golovchenko\nhttp://techref.massmind.org/member/NG--944\n-->");
	//doc->setTitle("Colorer -> Input");	
	//code entry
	row = table->newRow();
	cell = row->newCell();
	cell->setColspan("2");
	el = cell->bold();
	el->write("Paste code in");
	el->newInput("Radio")
		->setNameAndValue("html", "no")
		->setChecked(true);
	el->write("plain text or");
	el->newInput("Radio")
		->setNameAndValue("html", "yes");
	el->write("HTML:");
	table->newRow()->newCell()
		->setColspan("2")
		/*->setBgcolor("white")*/
		->setAlign("center")->newTextArea()
			->setCols("80")
			->setRows("20")
			->setWrap("off")
			->setName("asm");
	//Options
	row = table->newRow();
	cell = row->newCell();
	cell
		->setWidth("30%")
		->setValign("middle")
		->newInput("Checkbox")
			->setNameAndValue("usestyle", "yes")
			->setChecked(true)
			->write("Use style sheet link")->br();
	cell = row->newCell();
	cell
		->setWidth("70%")
		->setValign("middle")
		->newInput("Text")
			->setSize("50")
			->setNameAndValue("style", "/images/asm.css");
	
	//separator
	table->newRow()->setBgcolor("gray")->newCell()->setColspan("2");
	
	row = table->newRow();
	cell = row->newCell();
	cell
		->setColspan("2")
		->newInput("Checkbox")
			->setNameAndValue("expandtab", "yes")
			->setChecked(true)
			->write("Replace tabs with spaces for reliable formatting"
			" (plain text only)");
	row = table->newRow();
	row->newCell()->setWidth("30%");
	cell = row->newCell();
	cell
		->setWidth("70%")
		->setValign("middle")
		->newInput("Text")
			->setSize("4")
			->setNameAndValue("tab", "8")
			->write(" Tab size(1-10)");

	//separator
	table->newRow()->setBgcolor("gray")->newCell()->setColspan("2");

	row = table->newRow();
	cell = row->newCell();
	cell
		->setColspan("2")
		->newInput("Checkbox")
			->setNameAndValue("uselinks", "yes")
			->setChecked(false)
			->write("Link selected instructions and directives to pages");
	row = table->newRow();
	cell = row->newCell();
	cell
		->setColspan("2")
		->newTextArea()
			->setCols("80")
			->setRows("20")
			->setWrap("off")
			->setName("links")
			->write(links.c_str());

	//submit buttons
	row = table->newRow();
	cell = row->newCell();
	cell
		->setWidth("50%")
		->setAlign("center")
		->setValign("bottom")
		->newInput("submit")
		->setNameAndValue("test", " View ");
	cell = row->newCell();
	cell
		->setWidth("50%")
		->setAlign("center")
		->setValign("bottom")
		->newInput("submit")
		->setNameAndValue("convert", "Convert");

	printErrors();
	return(this);
}
